from .playlist import Playlist
from .file import File


class Entry:
    def __init__(
        self,
        title: str,
        artist: str,
        album: str,
        thumbnail: str,
        link: str,
        requesterId: int,
        playlist: Playlist | None = None,
        file: File | None = None,
    ) -> None:
        self.title = title
        self.artist = artist
        self.album = album
        self.thumbnail = thumbnail
        self.link = link
        self.requester = requesterId
        self.playlist = playlist
        self.file = file
